Commit fb9a6bb6 authored by Matthias Clasen's avatar Matthias Clasen
Browse files

csd: Drop the GTK_FRAME_EXTENTS requirement

We are getting bug reports from people who are irritated that
dialogs now have 'double headers' under any wm but gnome-shell.

As an example, xfwm4 seems to do ok with csd windows, and
on balance it seems better to have some invisible border issues
than to have double headers.

https://bugzilla.gnome.org/show_bug.cgi?id=727414
parent 98ae6fd7
......@@ -3615,9 +3615,6 @@ gdk_window_supports_csd (GtkWindow *window)
if (!gdk_screen_is_composited (screen))
return FALSE;
if (!gdk_x11_screen_supports_net_wm_hint (screen, gdk_atom_intern_static_string ("_GTK_FRAME_EXTENTS")))
return FALSE;
/* We need a visual with alpha */
visual = gdk_screen_get_rgba_visual (screen);
if (!visual)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment